QGIS Application - Bug report #18297
Minimum value not accepted in range widget with "allow null"
2018-03-01 05:23 PM - Matthias Kuhn

Status: Closed

Priority: Normal

Assignee:

Category: Edit widget

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 26188
Description

Steps to reproduce:

- Take an integer field
- Configure a range widget with * min 0 * max 10 * step 1 * allow null True

Try to enter a value of 0

Observed behavior:
NULL appears

Expected behavior:
0 appears

Associated revisions

Revision 0b49a83a - 2018-03-01 05:18 PM - Matthias Kuhn

Fix int range widget minimum value

The int range widget so far assigned NULL to the minimum value when allowNull was activated. This made it impossible to enter the minimum value into a

range widget.

This also fixes some signals which in case of a NULL value would emit a slightly-below-minimum value for double and int spinboxes.

Fix #18297

History

#1 - 2018-03-02 11:02 PM - Anonymous
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|0b49a83a89615ac01d624ad2108ad538b83296d8.

#2 - 2018-03-03 09:24 AM - Giovanni Manghi

- Resolution set to fixed/implemented
